Main Page Widgets Namespaces Book

# Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

Proxy for signals with 6 arguments. More...

Inheritance diagram for Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >:

[legend]
List of all members.

## Public Types
typedef SigC::Slot6< R, P1, P2, P3, P4, P5, P6 > | SlotType
typedef SigC::Slot6< void, P1, P2, P3, P4, P5, P6 > | VoidSlotType
## Public Methods
| SignalProxy6 (ObjectBase* obj, const SignalProxyInfo* info)
SigC::Connection | connect (const SlotType& slot, bool after=true)
SigC::Connection | connect_notify (const VoidSlotType& slot, bool after=false)

## Detailed Description

### template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
class Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >

Proxy for signals with 6 arguments.

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
typedef SigC::Slot6<R,P1,P2,P3,P4,P5,P6> Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>::SlotType

template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
typedef SigC::Slot6<void,P1,P2,P3,P4,P5,P6> Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>::VoidSlotType

## Constructor & Destructor Documentation

template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>::SignalProxy6 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[inline]`

## Member Function Documentation

template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
SigC::Connection Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>::connect | ( | const SlotType& | slot,
|  | bool | after = true
| ) | `[inline]`

template <class R, class P1, class P2, class P3, class P4, class P5, class P6>
SigC::Connection Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = false
| ) | `[inline]`

The documentation for this class was generated from the following file:

- signalproxy.h